Announcement Announcement Module
Collapse
No announcement yet.
What is the offical supported version of JDK? Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • What is the offical supported version of JDK?

    If there is such a thing as "offical".

    Aside from that, I'm currently using Sun's latest - 1.5.01.
    Has anyone encountered any difficulties while using this (for example, inside Tomcat 5.5) which requires Java 5.0)?

  • #2
    Spring works on 1.3 and above. It runs best on 1.4 and above as it makes use of various 1.4 optimizations.

    AFAIK there are no issues using Spring with Java 5.0. We have also verified that Spring compiles on Java 5.0.

    In Spring 1.2 we will be releasing support for transaction annotations using Java 5.0, but will retain backward compatibility for the foreseeable future.

    Comment


    • #3
      Ooooo..... Transaction annotations!

      Mmmmmmmmm..... Donut!
      Rrrrr.....

      Can't wait for that!

      Comment

      Working...
      X